> ## Documentation Index
> Fetch the complete documentation index at: https://mcp.theoryofevolution.com.au/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# getReservation



## OpenAPI

````yaml /openapi/transportsoa-api.openapi.json get /rentalapi/v1/getReservation
openapi: 3.0.0
info:
  description: >-
    TransportSOA API for rental availability, quotes, reservations, and
    transport-related test utilities.
  version: '1.0'
  title: TransportSOA API
  termsOfService: urn:tos
  contact: {}
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0
servers:
  - url: //tstest.websitetravel.com/transportsoa
security: []
tags:
  - name: rental-controller
    description: Rental Controller
  - name: test-controller
    description: Test Controller
paths:
  /rentalapi/v1/getReservation:
    get:
      tags:
        - rental-controller
      summary: getReservation
      operationId: getReservationUsingGET
      parameters:
        - name: ref
          in: query
          description: ref
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/SuccessResponseDTO_ReservationResponse_'
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
      deprecated: false
components:
  schemas:
    SuccessResponseDTO_ReservationResponse_:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/ReservationResponse'
        message:
          type: string
        status:
          type: integer
          format: int32
      title: SuccessResponseDTO«ReservationResponse»
    ReservationResponse:
      type: object
      properties:
        agentBalanceDue:
          $ref: '#/components/schemas/PriceResponse'
        agentCollects:
          $ref: '#/components/schemas/PriceResponse'
        agentCommission:
          $ref: '#/components/schemas/PriceResponse'
        agentVoucherReference:
          $ref: '#/components/schemas/PriceResponse'
        balanceDue:
          $ref: '#/components/schemas/PriceResponse'
        balanceDueWithCCFee:
          $ref: '#/components/schemas/PriceResponse'
        bookingStatus:
          type: string
        ccSurchargePercentage:
          type: number
          format: float
        dateCreated:
          type: string
        dropOffDate:
          type: string
        dropOffLocation:
          type: string
        dropOffLocationAddress:
          $ref: '#/components/schemas/LocationDTO'
        dropOffTimes:
          type: array
          items:
            type: string
        fleetCategory:
          $ref: '#/components/schemas/FleetCategoryResponse'
        hirerDetails:
          $ref: '#/components/schemas/HirerDetailsResponse'
        insuranceProducts:
          type: array
          items:
            $ref: '#/components/schemas/ProductResponse'
        lines:
          type: array
          items:
            $ref: '#/components/schemas/ItemResponse'
        pickUpDate:
          type: string
        pickUpLocation:
          type: string
        pickUpLocationAddress:
          $ref: '#/components/schemas/LocationDTO'
        pickupTimes:
          type: array
          items:
            type: string
        quoteId:
          type: string
        quoteName:
          type: string
        rentalDays:
          type: integer
          format: int32
        reservationId:
          type: integer
          format: int64
        reservationReference:
          type: string
        secondaryProducts:
          type: array
          items:
            $ref: '#/components/schemas/ProductResponse'
        status:
          type: string
        totalPrice:
          $ref: '#/components/schemas/PriceResponse'
      title: ReservationResponse
    PriceResponse:
      type: object
      properties:
        currencyCode:
          type: string
        value:
          type: number
          format: float
      title: PriceResponse
    LocationDTO:
      type: object
      properties:
        siteAddress:
          $ref: '#/components/schemas/AddressDTO'
        siteLocation:
          type: string
      title: LocationDTO
    FleetCategoryResponse:
      type: object
      properties:
        agentCommissionRate:
          type: integer
          format: int32
        agentPaymentType:
          type: integer
          format: int32
        availability:
          type: string
        campaignCode:
          type: string
        campaignId:
          type: string
        categoryCode:
          type: string
        dailyRate:
          $ref: '#/components/schemas/PriceResponse'
        dealText:
          type: string
        description:
          type: string
        discountPercentageApplied:
          type: integer
          format: int32
        freeDays:
          type: integer
          format: int32
        id:
          type: string
        isAfterHourPickUp:
          type: boolean
        mandatoryFees:
          type: array
          items:
            $ref: '#/components/schemas/MandatoryFee'
        minimumHirePeriod:
          type: string
        name:
          type: string
        priceDifference:
          type: string
        rentalDays:
          type: integer
          format: int32
        total:
          $ref: '#/components/schemas/PriceResponse'
        type:
          type: string
        typeSlug:
          type: string
      title: FleetCategoryResponse
    HirerDetailsResponse:
      type: object
      properties:
        arrivalFlightNumber:
          type: string
        dateOfBirth:
          type: string
        departureFlightNumber:
          type: string
        driversLicenceCountry:
          type: string
        driversLicenceExpiry:
          type: string
        driversLicenceNumber:
          type: string
        email:
          type: string
        firstName:
          type: string
        homeAddress:
          $ref: '#/components/schemas/HomeAddressResponse'
        lastName:
          type: string
        lucyClubNumber:
          type: string
        mobileNumber:
          type: string
        numberOfPeople:
          type: integer
          format: int32
        optIn:
          type: boolean
      title: HirerDetailsResponse
    ProductResponse:
      type: object
      properties:
        allowMultiple:
          type: boolean
        description:
          type: string
        group:
          type: string
        items:
          type: array
          items:
            $ref: '#/components/schemas/ItemResponse'
        required:
          type: boolean
        webCategory:
          type: string
      title: ProductResponse
    ItemResponse:
      type: object
      properties:
        allowMultiple:
          type: boolean
        category:
          type: string
        commissionable:
          type: boolean
        description:
          type: string
        excess:
          $ref: '#/components/schemas/PriceResponse'
        excessType:
          type: string
        gst:
          type: boolean
        isDefault:
          type: boolean
        isMandatory:
          type: boolean
        isPercentageOnTotalCost:
          type: boolean
        maxPrice:
          $ref: '#/components/schemas/PriceResponse'
        name:
          type: string
        numberOfDaysCalculated:
          type: integer
          format: int32
        payAgency:
          type: boolean
        price:
          $ref: '#/components/schemas/PriceResponse'
        productCode:
          type: string
        productId:
          type: string
        productType:
          type: string
        qty:
          type: integer
          format: int32
        rentalDays:
          type: integer
          format: int32
        stampduty:
          type: boolean
        total:
          $ref: '#/components/schemas/PriceResponse'
      title: ItemResponse
    AddressDTO:
      type: object
      properties:
        City:
          type: string
        Country:
          type: string
        Latitude:
          type: number
          format: double
        Line1:
          type: string
        Longitude:
          type: number
          format: double
        Name:
          type: string
        PostCode:
          type: string
      title: AddressDTO
    MandatoryFee:
      type: object
      properties:
        AllowMultiple:
          type: boolean
        Category:
          type: string
        Commissionable:
          type: boolean
        Description:
          type: string
        IsMandatory:
          type: boolean
        MaxPrice:
          $ref: '#/components/schemas/Price'
        Name:
          type: string
        NumberOfDaysCalculated:
          type: integer
          format: int32
        Price:
          $ref: '#/components/schemas/Price'
        ProductId:
          type: string
        ProductType:
          type: string
        Qty:
          type: integer
          format: int32
        RentalDays:
          type: integer
          format: int32
        Total:
          $ref: '#/components/schemas/Price'
      title: MandatoryFee
    HomeAddressResponse:
      type: object
      properties:
        city:
          type: string
        country:
          type: string
        postCode:
          type: string
        state:
          type: string
        street:
          type: string
      title: HomeAddressResponse
    Price:
      type: object
      properties:
        CurrencyCode:
          type: string
        Value:
          type: number
          format: float
      title: Price

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.